import { CompileData, CompiledFile } from '@openapi-client/compiler-types';
import * as Handlebars from 'handlebars';
export interface CompilerOptions {
    npmName?: string;
    npmAuthor?: string;
    npmVersion?: string;
    npmLicense?: string;
    npmHomepage?: string;
    npmRepository?: string;
    npmPublishConfig?: any;
    tsTarget?: string;
    clientClass?: string;
    nativeEnum?: boolean;
    exportPaths?: boolean;
}
export declare class Compiler {
    private templates;
    constructor();
    getTemplate(name: string): Handlebars.TemplateDelegate;
    compile(data: CompileData.Data, options?: CompilerOptions): CompiledFile[];
    compileTypes(data: CompileData.Data, options?: CompilerOptions): string;
    compileApi(data: CompileData.Data, api: CompileData.Api): string;
    compileClient(data: CompileData.Data, options?: CompilerOptions): string;
    compileIndex(data: CompileData.Data, options?: CompilerOptions): string;
    compilePackage(data: CompileData.Data, options?: CompilerOptions): string;
    compileNpmignore(): string;
    compileTsconfig(options?: CompilerOptions): string;
    compileReadme(data: CompileData.Data, options?: CompilerOptions): string;
}
